unit Unit2;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.ExtCtrls, Vcl.Controls, WEBLib.SideMenu;

type
  TForm2 = class(TWebForm)
    MainMenu: TWebSideMenu;
    WebPanel1: TWebPanel;
    WebPanel2: TWebPanel;
    WebPanel3: TWebPanel;
    WebPanel4: TWebPanel;
    procedure WebFormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure CreateMenu;
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.CreateMenu;
var
it: TSideMenuItem;
begin
MainMenu.BeginUpdate;
MainMenu.Appearance.ItemFont.Color := clSkyBlue;
MainMenu.Appearance.ItemSelectionStyle := itsRounded;
MainMenu.Items.Clear;
it := MainMenu.Items.Add;
it.Text := 'Upload Video';
it.Hint := it.Text;
it.ContentControl := WebPanel1;
it.MaterialGlyph := 'upload';
it.MaterialGlyphType := mgOutlined;
it := MainMenu.Items.Add;
it.Text := 'Manage Video';
it.Hint := it.Text;
it.ContentControl := WebPanel2;
it.MaterialGlyph := 'video_library';
it.MaterialGlyphType := mgOutlined;
it := MainMenu.Items.Add;
it.Text := 'Instructor';
it.Hint := it.Text;
it.ContentControl := WebPanel3;
it.MaterialGlyph := 'group';
it.MaterialGlyphType := mgOutlined;
it := MainMenu.Items.Add;
it.Text := 'Play Video';
it.Hint := it.Text;
it.ContentControl := WebPanel4;
it.MaterialGlyph := 'play_arrow';
it.MaterialGlyphType := mgOutlined;
MainMenu.SelectedItem := 0;
MainMenu.EndUpdate;

end;

procedure TForm2.WebFormCreate(Sender: TObject);
begin
  CreateMenu;
end;

end.